curl -X POST https://chatbot.menuia.com/api/v2/ia \
-H "Content-Type: application/json" \
-d '{
"authkey": "SUA_AUTHKEY_AQUI",
"device": "servidor",
"agent_name": "AGENTE 2"
}'
const response = await fetch('https://chatbot.menuia.com/api/v2/ia', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
authkey: 'SUA_AUTHKEY_AQUI',
device: 'servidor',
agent_name: 'AGENTE 2'
})
});
import requests
response = requests.post(
'https://chatbot.menuia.com/api/v2/ia',
json={
'authkey': 'SUA_AUTHKEY_AQUI',
'device': 'servidor',
'agent_name': 'AGENTE 2'
}
)
$response = Http::post('https://chatbot.menuia.com/api/v2/ia', [
'authkey' => 'SUA_AUTHKEY_AQUI',
'device' => 'servidor',
'agent_name' => 'AGENTE 2'
]);
{
"status": 200,
"message": "Agente criado com sucesso.",
"agent_id": "ag_123456789"
}
{
"status": 401,
"message": "Authkey invalida ou expirada."
}
{
"status": 400,
"message": "validation.required"
}
Conta e Sistema
Criar Agente de IA
POST
/
api
/
v2
/
ia
curl -X POST https://chatbot.menuia.com/api/v2/ia \
-H "Content-Type: application/json" \
-d '{
"authkey": "SUA_AUTHKEY_AQUI",
"device": "servidor",
"agent_name": "AGENTE 2"
}'
const response = await fetch('https://chatbot.menuia.com/api/v2/ia', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
authkey: 'SUA_AUTHKEY_AQUI',
device: 'servidor',
agent_name: 'AGENTE 2'
})
});
import requests
response = requests.post(
'https://chatbot.menuia.com/api/v2/ia',
json={
'authkey': 'SUA_AUTHKEY_AQUI',
'device': 'servidor',
'agent_name': 'AGENTE 2'
}
)
$response = Http::post('https://chatbot.menuia.com/api/v2/ia', [
'authkey' => 'SUA_AUTHKEY_AQUI',
'device' => 'servidor',
'agent_name' => 'AGENTE 2'
]);
{
"status": 200,
"message": "Agente criado com sucesso.",
"agent_id": "ag_123456789"
}
{
"status": 401,
"message": "Authkey invalida ou expirada."
}
{
"status": 400,
"message": "validation.required"
}
Descricao
Este endpoint permite criar um novo agente de IA associado a sua conta, informando o nome do agente e o dispositivo que o hospeda.Parametros
string
required
Chave de autenticacao da conta.
string
required
Dispositivo que ira hospedar o agente (ex: “servidor”).
string
required
Nome do agente que sera criado.
curl -X POST https://chatbot.menuia.com/api/v2/ia \
-H "Content-Type: application/json" \
-d '{
"authkey": "SUA_AUTHKEY_AQUI",
"device": "servidor",
"agent_name": "AGENTE 2"
}'
const response = await fetch('https://chatbot.menuia.com/api/v2/ia', {
method: 'POST',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({
authkey: 'SUA_AUTHKEY_AQUI',
device: 'servidor',
agent_name: 'AGENTE 2'
})
});
import requests
response = requests.post(
'https://chatbot.menuia.com/api/v2/ia',
json={
'authkey': 'SUA_AUTHKEY_AQUI',
'device': 'servidor',
'agent_name': 'AGENTE 2'
}
)
$response = Http::post('https://chatbot.menuia.com/api/v2/ia', [
'authkey' => 'SUA_AUTHKEY_AQUI',
'device' => 'servidor',
'agent_name' => 'AGENTE 2'
]);
{
"status": 200,
"message": "Agente criado com sucesso.",
"agent_id": "ag_123456789"
}
{
"status": 401,
"message": "Authkey invalida ou expirada."
}
{
"status": 400,
"message": "validation.required"
}
⌘I

